- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ip_netns – Manage network namespaces

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Create or delete network namespaces using the ip command.

## Requirements

The below requirements are needed on the host that executes this module.

- ip

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - |  | Name of the namespace
state - | Choices: present ← absent | Whether the namespace should exist

## Examples

    # Create a namespace named mario
    - name: Create a namespace named mario
      namespace:
        name: mario
        state: present
    - name: Delete a namespace named luigi
      namespace:
        name: luigi
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Arie Bregman (@bregman-arie)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.